/******************************************************************************************************************
//
//
//
//
//
//
/******************************************************************************************************************/



#include "CEngine.h"
#include "CWinHandler.h"
//#include "HiResTimer.h"
#include <windows.h>
#include <gl.h>
#include <glu.h>




CEngine::CEngine()
{
	myTimer		= new CHiResTimer();
	myWin		= new CWinHandler();
}



CEngine::~CEngine()
{
	delete myTimer;
	delete myWin;
}



void CEngine::Initialize(void)
{

	this->myTimer->Init();

	glClearColor(0.0f, 0.0f, 0.0f, 0.0f);		// clear to black

	glShadeModel(GL_SMOOTH);					// use smooth shading
	glEnable(GL_DEPTH_TEST);					// hidden surface removal
	glEnable(GL_CULL_FACE);						// do not calculate inside of poly's
	glFrontFace(GL_CCW);						// counter clock-wise polygons are out
	glClearDepth(1.0f);					// Depth Buffer Setup
	glDepthFunc(GL_LEQUAL);					// The Type Of Depth Testing To Do
	glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST);	// Really Nice Perspective Calculations



}
