#ifndef CWorld_h
#define CWorld_h

#include "CWorld.h"
#include <windows.h>
#include "CTerrain.h"
#include "CCamera.h"
#include "CFire.h"
#include "CRain.h"


class CWorld
{
 public:
	CWorld();
	~CWorld();
	int Init(void);
	int Animate(void);
	int Render(void);

	CCamera* myCamera;

 private:
	CFire* Sun;
	CRain* Rain;
	CTerrain* myTerrain;
};














#endif