#ifndef CCamera_h
#define CCamera_h


#include "CParticleEmitter.h"

class CCamera
{
 public:
	CCamera();
	~CCamera();
	int SetupPosition(void);
	void ChangeRoll(float new_roll);
	void ChangeYaw(float new_yaw);
	void ChangePitch(float new_pitch);
	int MoveTo(CVector* NewPosition);
	int LookAt(CVector* ViewPoint);

	CVector* getPosition(void) {return this->Position;}
	CVector* getLook(void) {return this->Look;}

 private:
	float velocity;							// How many pixels the camera can move /frame
	float yaw;
	float pitch;
	float roll;
	CVector* Position;
	CVector* Look;

};





#endif