#ifndef CTexture_h
#define CTexture_h

#include <windows.h>
#include <gl.h>

class CBitmap
{
 public:
	BITMAPFILEHEADER*				bitmapfileheader;  // this contains the bitmapfile header
    BITMAPINFOHEADER*				bitmapinfoheader;  // this is all the info including the palette
    unsigned char*					data;           // this is a pointer to the data
};



class CTexture
{
 public:
	CTexture();
	~CTexture();
	unsigned char* LoadBitmap(char *filename);
	int Load(char* filename);
	GLuint GetID(void) {return this->ID;}
	
 private:
 	unsigned int width;
	unsigned int height;
	GLuint ID;
	unsigned char* buffer;			// bitmap image data
};














#endif